Subject: bug#17173: 24.4.50; Emacs partially loses display, and redisplay via `C-l' does not fix it

From: Daniel Colascione <[email-masked]>
Date: Wed, 02 Apr 2014 08:49:55 -0700

On 04/02/2014 08:14 AM, Drew Adams wrote:
> Close this bug if you feel like it.  This is only to say that since a
> few months ago (?) Emacs redisplay seems to be broken.  I do not have a
> recipe, but I would be surprised if no one else sees this at all.
> 
> If I create a new frame (e.g. C-x 5 f) that partially obscures an
> existing frame, for instance, and the select that partially obscured
> frame (e.g., by clicking its title bar), so that it is raised again, the
> part of the buffer that was obscured looks wiped out (blank).  And
> repeated C-l does not fix this.  My workaround is to thumbify and then
> dethumbify the frame.  (Probably iconifying and deiconifying would work
> too, but I do not iconify anymore.)
> 

I've never seen this behavior and can't repro it now. What window
manager are you using, and with what Emacs GUI toolkit?